# $Revision: 1.17 $, $Date: 2010/11/19 12:33:13 $
%include	/usr/lib/rpm/macros.mono
Summary:	.NET language bindings for GtkSourceView
Summary(pl.UTF-8):	Wiązania GtkSourceView dla .NET
Name:		dotnet-gtksourceview-sharp2
Version:	0.12
Release:	5
License:	LGPL
Group:		Libraries
# latest downloads summary at http://ftp.novell.com/pub/mono/sources-stable/
Source0:	http://ftp.novell.com/pub/mono/sources/gtksourceview-sharp2/gtksourceview-sharp-2.0-%{version}.tar.bz2
# Source0-md5:	f0c9c6dc24b677d9208b0c8c38e769a4
Patch0:		%{name}-dont-build-samples.patch
URL:		http://www.mono-project.com/
BuildRequires:	autoconf
BuildRequires:	automake >= 1:1.7
BuildRequires:	dotnet-gnome-sharp-devel >= 2.16.0
BuildRequires:	gtksourceview-devel >= 1.0.1
BuildRequires:	libtool
BuildRequires:	mono-csharp >= 1.1.7
BuildRequires:	mono-tools
BuildRequires:	monodoc >= 2.6
BuildRequires:	pkgconfig
Requires:	dotnet-gnome-sharp >= 2.16.0
Requires:	gtksourceview >= 1.0.1
Requires:	mono >= 1.1.7
ExcludeArch:	i386
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package provides .NET bindings for GtkSourceView library.

%description -l pl.UTF-8
Pakiet ten dostarcza wiązania .NET do biblioteki GtkSourceView.

%package devel
Summary:	Development part of GtkSourceView#
Summary(pl.UTF-8):	Część GtkSourceView# przeznaczona dla programistów
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	dotnet-gnome-sharp-devel >= 2.16.0

%description devel
Development part of GtkSourceView#.

%description devel -l pl.UTF-8
Część GtkSourceView# przeznaczona dla programistów.

%prep
%setup -q -n gtksourceview-sharp-2.0-%{version}
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__automake}
%{__autoconf}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT`monodoc --get-sourcesdir`

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkgconfigdir=%{_pkgconfigdir}

# already in gtksourceview package
%{__rm} $RPM_BUILD_ROOT%{_datadir}/gtksourceview-1.0/language-specs/{nemerle,vbnet}.lang

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog
%{_prefix}/lib/mono/gac/*

%files devel
%defattr(644,root,root,755)
%{_prefix}/lib/mono/gtksourceview-sharp-2.0
%{_datadir}/gapi-2.0/*
%{_pkgconfigdir}/*.pc
%{_prefix}/lib/monodoc/sources/gtksourceview-sharp-*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: dotnet-gtksourceview-sharp2.spec,v $
Revision 1.17  2010/11/19 12:33:13  lisu
- drop obsoleted rm
- relase 5

Revision 1.16  2010/11/19 12:26:20  lisu
- rel 4

Revision 1.15  2010/03/14 00:04:10  sparky
- BR: mono-tools

Revision 1.14  2010/03/12 12:06:05  megabajt
- use %{_prefix}/lib for monodoc
- release 3

Revision 1.13  2008/10/18 21:54:51  megabajt
- added -dont-build-samples.patch
- release 2

Revision 1.12  2008/06/19 05:08:50  qboosh
- updated Source0 URL

Revision 1.11  2008/06/17 10:22:53  megabajt
- updated to 0.12

Revision 1.10  2007/05/16 19:40:25  qboosh
- updated to 0.11

Revision 1.9  2007/02/17 16:23:48  qboosh
- fixed EA; release 5

Revision 1.8  2007/02/17 16:03:58  qboosh
- mono is supported on alpha,sparc* now

Revision 1.7  2007/02/12 21:23:53  glen
- tabs in preamble

Revision 1.6  2007/02/12 00:48:46  baggins
- converted to UTF-8

Revision 1.5  2006/12/31 23:42:03  teodor
- BR: s/dotnet-gtk-sharp2-gnome-devel/dotnet-gnome-sharp-devel
- R: s/dotnet-gtk-sharp2-gnome/dotnet-gnome-sharp

Revision 1.4  2005/12/03 12:03:30  qboosh
- removed patches, updated spec for mono dlls in /usr/lib (R: mono >= 1.1.7)
- simplified *.pc moving
- release 3

Revision 1.3  2005/12/03 10:29:48  qboosh
- fixed descs, base docs to base

Revision 1.2  2005/11/30 20:08:08  freetz
- fix pkgconfig libdir, rel.2

Revision 1.1  2005/11/30 16:29:09  freetz
- moved from dotnet-gtksourceview DEVEL branch
